# MapFLocToStringSetTypeAdapter
Date: 2018-12-06

com.massivecraft.factions.util

## Class MapFLocToStringSetTypeAdapter

- java.lang.Object
- - com.massivecraft.factions.util.MapFLocToStringSetTypeAdapter

All Implemented Interfaces:
  com.google.gson.JsonDeserializer<java.util.Map<FLocation,java.util.Set<java.lang.String>>>, com.google.gson.JsonSerializer<java.util.Map<FLocation,java.util.Set<java.lang.String>>>

    public class MapFLocToStringSetTypeAdapter
    extends java.lang.Object
    implements com.google.gson.JsonDeserializer<java.util.Map<FLocation,java.util.Set<java.lang.String>>>, com.google.gson.JsonSerializer<java.util.Map<FLocation,java.util.Set<java.lang.String>>>

### Constructor Summary

Constructors
Constructor and Description
`MapFLocToStringSetTypeAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<FLocation,java.util.Set<java.lang.String>>` `deserialize(com.google.gson.JsonElement json, java.lang.reflect.Type typeOfT, com.google.gson.JsonDeserializationContext context)`
`com.google.gson.JsonElement` `serialize(java.util.Map<FLocation,java.util.Set<java.lang.String>> src, java.lang.reflect.Type typeOfSrc, com.google.gson.JsonSerializationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapFLocToStringSetTypeAdapter

    public MapFLocToStringSetTypeAdapter()

### Method Detail

#### deserialize

    public java.util.Map<FLocation,java.util.Set<java.lang.String>> deserialize(com.google.gson.JsonElement json,
                                                                                java.lang.reflect.Type typeOfT,
                                                                                com.google.gson.JsonDeserializationContext context)
                                                                         throws com.google.gson.JsonParseException

Specified by:
  `deserialize` in interface `com.google.gson.JsonDeserializer<java.util.Map<FLocation,java.util.Set<java.lang.String>>>`
Throws:
  `com.google.gson.JsonParseException`

#### serialize

    public com.google.gson.JsonElement serialize(java.util.Map<FLocation,java.util.Set<java.lang.String>> src,
                                                 java.lang.reflect.Type typeOfSrc,
                                                 com.google.gson.JsonSerializationContext context)

Specified by:
  `serialize` in interface `com.google.gson.JsonSerializer<java.util.Map<FLocation,java.util.Set<java.lang.String>>>`